* CHOOSE.CMD

store f to found

set colon off
set talk off
set bell off
set confirm on
do while .not. found
    goto top
    store f to var
    erase
    store " " to man
    store "                         " to mname
    @ 13,17 say "Press <RETURN> to see Student List."
    @ 10,10 say "TYPE IN STUDENT NAME------> " get mname pict ;
                "!!!!!!!!!!!!!!!!!!!!!!!!!"
    @ 11,35 say "Last Name, First Name"
    @ 15,20 say "Type QUIT to return to MENU."
    read
    if mname = "QUIT" + " "
         release all like m*
         release found
         return
    endif
    if mname = " "
        do EDIT1
    else
        locate for name = trim("&mname")
        if eof
            @ 20,10 say "Student Not Found.  Try Again."
            store 1 to count
            do while count < 60
                store count + 1 to count
            enddo
            release count
            loop
        else
            do edit
        endif
    endif
enddo
release all like m*
release found
release var
return

999.00999.00999.00999.00999.00999.00999.00999.00999.00999.00999.00999.00999.00999.00999.00999.00999.00999.00999.00999.00999.00999.0002/03/86         WALSH, TRINA             A NM  999.00999.00999.00999.00999.00999.00999.00999.00999.00999.00999.00999.00999.00999.00999.00999.00999.00999.00999.00999.00999.00999.00999.00999.00999.00999.0002/03/86         WARD, KAREN              A NM  999.00999.00999.00999.00999.00999.00999.00999.00999.00999.00999.00999.00999.00999.0